- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
gsimpleclient.h File Reference
`#include "gdef.h"`
`#include "gnet.h"`
`#include "gaddress.h"`
`#include "gmemory.h"`
`#include "gconnection.h"`
`#include "gexception.h"`
`#include "geventhandler.h"`
`#include "gresolver.h"`
`#include "gresolverinfo.h"`
`#include "gsocket.h"`
`#include "gsocketprotocol.h"`
`#include "gevent.h"`
`#include <string>`

Go to the source code of this file.

## Classes
class | GNet::ClientResolver
| A resolver class which calls SimpleClient::resolveCon() when done. More...
class | GNet::SimpleClient
| A class for making an outgoing connection to a remote server, with support for socket-level protocols such as TLS/SSL and SOCKS 4a. More...

## Namespaces
| GNet
| Network classes.